Subject: bug#17253: date "--date=-x\ days"

From: Leslie S Satenstein <[email-masked]>
Date: Sat, 12 Apr 2014 12:42:50 -0700 (PDT)

What timezone is the setting for your system?  Is it possible that the timesetting is for universal time.  Is the bios clock same as the time shown on the screen?

Regards 

 Leslie

Mr. Leslie Satenstein
SENT FROM MY OPEN SOURCE LINUX SYSTEM.

>________________________________
> From: hanes <[email-masked]>
>To: [email-masked] 
>Sent: Saturday, April 12, 2014 11:44 AM
>Subject: bug#17253: date "--date=-x\ days"
> 
>
>Hello,
>
>Tonight (12. of April) in the hour after Midnight I encountered a
>missing day when I used the '--date=-13\ days' option.
>I can reproduce the bug best, when going backwards in hours;
>as far as I can see, there is a hour missing on 30. of March between 01
>and 03 O'Clock.
>
>My output is:
>date +%Y.%m.%d__%H_%M
>2014.04.12__17_28
>
>date +%Y.%m.%d__%H_%M --date=-326\ hours
>2014.03.30__03_28
>
>date +%Y.%m.%d__%H_%M --date=-327\ hours
>2014.03.30__01_28
>
>
>I am working on a Ubuntu Linux 64bit Mashine.
>
>with Kind Regards,
>
>hanes
>
>
>
>
>
>
>